Page MenuHomeFreeBSD

Switch ports to use USE_PYQT=<foo> instead of ugly BUILD/RUN_DEPENDS
ClosedPublic

Authored by tcberner on Jan 20 2017, 5:25 PM.
Tags
None
Referenced Files
F84281516: D9261.diff
Tue, May 21, 7:54 PM
Unknown Object (File)
Sun, May 19, 8:48 PM
Unknown Object (File)
Mon, May 6, 8:33 PM
Unknown Object (File)
Thu, May 2, 9:15 AM
Unknown Object (File)
Wed, May 1, 1:56 AM
Unknown Object (File)
Sun, Apr 28, 6:24 PM
Unknown Object (File)
Sun, Apr 28, 2:57 PM
Unknown Object (File)
Sun, Apr 28, 2:57 PM
Subscribers
None

Details

Summary

pyqt.mk provides USE_PYQT=<list> to depend on its components. Convert the ports
not yet using it to it.

Test Plan
  • Test build the ports.
  • fixup comms/gnuradio (it depended on the whole shebang, which seems a bit lot at first glance)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 6904
Build 7092: arc lint + arc unit

Event Timeline

tcberner retitled this revision from to Switch ports to use USE_PYQT=<foo> instead of ugly BUILD/RUN_DEPENDS.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: kde, rakuco, mat, adridg.

everything seems to still build fine on current.

rakuco edited edge metadata.

lgtm!

This revision is now accepted and ready to land.Jan 21 2017, 1:46 PM

All the USE_PYQT should be after the USES lines.

www/linkchecker/Makefile
41

This is going to end up being:

USE_CORE_RUN="" USE_GUI_RUN=""

I think this (and maybe others are wrong.)

mat requested changes to this revision.Feb 3 2017, 4:41 PM
mat edited edge metadata.
This revision now requires changes to proceed.Feb 3 2017, 4:41 PM
tcberner edited edge metadata.

Fix horribly wrong option in www/linchecker.

tcberner added inline comments.
www/linkchecker/Makefile
41

yikes

fixed now

%  make -VUSE_PYQT -C www/linkchecker/
core_run gui_run help_run qscintilla2_run sql_run
tcberner marked an inline comment as done.
tcberner edited edge metadata.
  • Shuffle USES upwards
  • Remove a typo
mat edited edge metadata.

Looks ok.

This revision is now accepted and ready to land.Feb 3 2017, 7:53 PM
This revision was automatically updated to reflect the committed changes.